API 參考
Analytics
Content Delivery API: POST /analytics/pageview, POST /analytics/bot-hit
Record an anonymous pageview from an external storefront (per-IP rate-limited)
POST
/analytics/pageviewbetaNo auth
Request body
pathstringrequiredRelative path starting with /
referrerstringtitlestringuaCategory"desktop" | "mobile" | "tablet" | "bot"
Response 200
uaCategorystring
Errors
INVALID_BODY400INVALID_PATH400
curl -X POST "https://{site}/api/v1/analytics/pageview" \
-H "Content-Type: application/json" \
-d '{}'Record an AI crawler visit from an external storefront edge middleware (per-IP rate-limited)
POST
/analytics/bot-hitbetaNo auth
Request body
botTokenstringRecognized crawler token (e.g. GPTBot, ClaudeBot, PerplexityBot)
pathstringrequiredRelative path starting with /
userAgentstring
Errors
INVALID_BODY400INVALID_PATH400UNKNOWN_BOT400
curl -X POST "https://{site}/api/v1/analytics/bot-hit" \
-H "Content-Type: application/json" \
-d '{}'